Summary:	Download utility with resuming and segmented downloading
Name:		aria2
Version:	1.33.1
Release:	1
License:	GPLv2+
Group:		Networking/File transfer
URL:		https://aria2.github.io/
# Source0:	https://sourceforge.net/projects/aria2/files/stable/%{name}-%{version}/%{name}-%{version}.tar.xz
Source0:	https://github.com/aria2/aria2/releases/download/release-%{version}/%{name}-%{version}.tar.xz
BuildRequires:	bison
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(gnutls) >= 3.0
BuildRequires:	pkgconfig(libcares)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(cppunit)
BuildRequires:	pkgconfig(libgcrypt)
Requires:	rootcerts
#we need 1.7.0 to have ares_library_init available
Requires:	c-ares >= 1.7.0
Provides:	webfetch

%description
Aria2 has segmented downloading engine in its core. It can download one 
file from multiple URLs or multiple connections from one URL. This results
in very high speed downloading, very much faster than ordinary browsers.
This engine is implemented with a single-thread model.
It can also download BitTorrent files and supports Metalink version 3.0.

%prep
%setup -q

%build
export CFLAGS="%{optflags} -Os"
export CXXFLAGS="$CFLAGS"

%configure2_5x \
	--with-ca-bundle="%{_sysconfdir}/pki/tls/cert.pem" \
	--enable-bittorrent \
	--enable-metalink \
	--enable-epoll \
	--enable-threads=posix \
	--disable-rpath \
	--with-gnutls \
	--without-openssl \
	--with-sqlite3 \
	--with-libxml2 \
	--without-libexpat \
	--with-libcares \
	--with-libz

%make

# (tpg) disable checks on x86, on x86_64 all of them passes without any failures
%ifnarch %{ix86}
%check
make check
%endif

%install
%makeinstall_std

%find_lang %{name} --with-man --all-name

%files -f %{name}.lang
%doc AUTHORS README NEWS
%{_bindir}/*
%{_mandir}/man1/*

%changelog

* Fri Mar 09 2018 alekseyz <a.zimin@rosalinux.ru> 1.33.1-1
- (30ccbb9) Merge pull request #7 from termim/aria2:rosa2016.1
- (30ccbb9) Update to 1.33.1


